import 'package:dio/dio.dart';
import '../../../../core/network/api_endpoints.dart';

class KBRemoteDatasource {
  final Dio _dio;

  KBRemoteDatasource(this._dio);

  Future<List<String>> getKnowledgeBases() async {
    final response = await _dio.get(ApiEndpoints.ragKbs);
    final data = response.data as Map<String, dynamic>;
    return List<String>.from(data['knowledge_bases'] ?? []);
  }
}